compose_metadata:
  config-hash: c6927d67121fb8e7a221615ad54be052857250bda952fa8c5da6e043f097e93f
  container-number: '1'
  depends_on: ''
  image: sha256:a79f26b9776125f8fe4ae95b84c44abf36813629f531853bde2a5225e6f0b977
  oneoff: 'False'
  project: immich
  project.config_files: /srv/mergerfs/presscloud/docker/immich/immich.yml
  project.working_dir: /srv/mergerfs/presscloud/docker/immich
  service: immich-machine-learning
  version: 2.39.1
container_id: 801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94
created: '2025-08-23T06:09:20.087906848Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  DEVICE: cpu
  GPG_KEY: '***SENSITIVE_VALUE*** (A035...)'
  IMMICH_BUILD: '17162633807'
  IMMICH_BUILD_IMAGE: v1.139.2
  IMMICH_BUILD_IMAGE_URL: https://github.com/immich-app/immich/pkgs/container/immich-machine-learning
  IMMICH_BUILD_URL: https://github.com/immich-app/immich/actions/runs/17162633807
  IMMICH_REPOSITORY: immich-app/immich
  IMMICH_REPOSITORY_URL: https://github.com/immich-app/immich
  IMMICH_SOURCE_COMMIT: 571504aa5e691ee76edc8706f426d1d49aafa7a8
  IMMICH_SOURCE_REF: v1.139.2
  IMMICH_SOURCE_URL: https://github.com/immich-app/immich/commit/571504aa5e691ee76edc8706f426d1d49aafa7a8
  LANG: C.UTF-8
  LD_PRELOAD: /usr/lib/libmimalloc.so.2
  MACHINE_LEARNING_CACHE_FOLDER: /cache
  PATH: /opt/venv/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  PYTHONDONTWRITEBYTECODE: '1'
  PYTHONPATH: /usr/src
  PYTHONUNBUFFERED: '1'
  PYTHON_SHA256: 8fb5f9fbc7609fa822cb31549884575db7fd9657cbffb89510b5d7975963a83a
  PYTHON_VERSION: 3.11.13
  TRANSFORMERS_CACHE: /cache
  TZ: America/New_York
  VIRTUAL_ENV: /opt/venv
execution:
  cmd:
  - python
  - -m
  - immich_ml
  entrypoint:
  - tini
  - --
  stop_signal: null
  user: ''
  working_dir: /usr/src
host_system: omv800.local_20250823
image:
  platform: linux
  sha: sha256:11dd538d6c23a5422712da65e7300aa814995089c189bbf92c6aa9f34aab26fe
  tag: ghcr.io/immich-app/immich-machine-learning:release
labels:
  com.docker.compose.config-hash: c6927d67121fb8e7a221615ad54be052857250bda952fa8c5da6e043f097e93f
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:a79f26b9776125f8fe4ae95b84c44abf36813629f531853bde2a5225e6f0b977
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: immich
  com.docker.compose.project.config_files: /srv/mergerfs/presscloud/docker/immich/immich.yml
  com.docker.compose.project.working_dir: /srv/mergerfs/presscloud/docker/immich
  com.docker.compose.service: immich-machine-learning
  com.docker.compose.version: 2.39.1
  org.opencontainers.image.created: '2025-08-22T18:08:25.680Z'
  org.opencontainers.image.description: High performance self-hosted photo and video
    management solution.
  org.opencontainers.image.licenses: AGPL-3.0
  org.opencontainers.image.revision: 571504aa5e691ee76edc8706f426d1d49aafa7a8
  org.opencontainers.image.source: https://github.com/immich-app/immich
  org.opencontainers.image.title: immich
  org.opencontainers.image.url: https://github.com/immich-app/immich
  org.opencontainers.image.version: v1.139.2
name: immich_machine_learning
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    immich_default:
      aliases:
      - immich_machine_learning
      - immich-machine-learning
      - ed635b523fdf
      dns_names:
      - immich_machine_learning
      - immich-machine-learning
      - ed635b523fdf
      - 801fe8a5d397
      endpoint_id: 12c01c64e63951199a587c94f3c167701a81150eb57a1d0fccb83a2ad10ad2ed
      gateway: 172.22.0.1
      global_ipv6_address: ''
      ip_address: 172.22.0.2
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: a6:ee:67:f4:b5:b1
      network_id: b51092ec139cacc7aafb173e3816a9492168eca2b11ab5721f36b3c7d77f7b26
  publish_all_ports: false
ports:
  bindings: {}
  exposed: []
  published: {}
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: immich_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: always
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_omv800.local_20250823_214938/discovery/2_services/container_immich_machine_learning.json
volumes:
  bind_strings:
  - immich_model-cache:/cache:rw
  detailed_mounts:
  - destination: /cache
    driver: local
    mode: rw
    name: immich_model-cache
    propagation: ''
    rw: true
    source: /var/lib/docker/volumes/immich_model-cache/_data
    type: volume
